<?

include("../Librerias/ConfNivel2.inc");

$Nivel=$_Nivel2;

$ObjSesion=new Sesiones();               ///Clase Sesión

$ObjSesion->MVerifica($Nivel);

$Conexion=new DBAccess();

$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);

/*Obtenemos los valor por post*/

$tags2 = array_keys($_POST); // obtiene los nombres de las variables

$valores2 = array_values($_POST);// obtiene los valores de las variables

$i=0;

foreach ($_POST as $valores){

 ${$tags2[$i]}=$valores;

 $i++;	

}

///Datos de la acción

$Fecha=date("Y-m-d");

$Hora=date("H:i:s");

$Ip=$HTTP_X_FORWARDED_FOR;

if ($Ip=='')  $Ip=$REMOTE_ADDR;

echo "-> ".implode(",",$Entrada);

$Entrad = implode(",",$Entrada);

$Ofertori = implode(",",$Ofertorio);

$Comunio = implode(",",$Comunion);

$Salid = implode(",",$Salida);

$PostComunio = implode(",",$PostComunion);

//echo "-> ".$Entrad;



if ($Accion=='Guardar'){

    $Consulta="Insert into esquemas (Ciclo, Autor,Comentario, Entrada, Ofertorio, Comunion, Salida, PostComunion, Celebracion, TiempoLit) Values ('$Ciclo', '$Autor','$Comentario', '$Entrad', '$Ofertori', '$Comunio', '$Salid', '$PostComunio', '$Celebracion',$TiempoLit)";

    $Conexion->MEjecutarSQL($Consulta);

    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM esquemas ORDER BY IdEsquema DESC");

    ///Consulta para Obtener Id de los datos almacenados

    $DescripcionAccion="REGISTR&Oacute; : ".$RowInsertado["Ciclo"]." ".$RowInsertado["Autor"];

    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (

                    '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','Marca',$RowInsertado[IdEsquema])";

     $Conexion->MEjecutarSQL($ConsultaAccion);

	 echo $Consulta;

     //FMensajeScript($DescripcionAccion,"Esquemas.php?IdEsquema=$RowInsertado[IdEsquema]");

     exit();

}



if ($Accion=='Actualizar'){

	$Consulta="Update esquemas SET Ciclo = '$Ciclo', Autor='$Autor',Comentario='$Comentario', Entrada='$Entrad', Ofertorio='$Ofertori', Comunion='$Comunio', Salida='$Salid', Postcomunion='$PostComunio', Celebracion='$Celebracio', TiempoLit=$TiempoLit WHERE IdEsquema=$IdEsquema";									

   $Conexion->MEjecutarSQL($Consulta);



    ///Consulta para Obtener Id de los datos almacenados

    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM esquemas WHERE IdEsquema='$IdEsquema' ORDER BY IdEsquema DESC");

	$DescripcionAccion="ACTUALIZÓ: ".$RowInsertado["Nombres"]." ".$RowInsertado["Apellidos"];

    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (

                     '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','Esquema',$IdEsquema)";

     $Conexion->MEjecutarSQL($ConsultaAccion);

     FMensajeScript($DescripcionAccion,"Esquemas.php?IdEsquema=$IdEsquema");

     exit();

}



if ($Accion=='Eliminar'){ 

    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM esquemas WHERE IdEsquema='$IdEsquema' ORDER BY IdEsquema DESC");

    $Consulta="DELETE FROM esquemas WHERE IdEsquema='$IdEsquema' ";

    $Conexion->MEjecutarSQL($Consulta);



        ///Consulta para Obtener Id de los datos almacenados

    ///Consulta para Obtener Id de los datos almacenados

	$DescripcionAccion="ELIMINÓ: ".$RowInsertado["Ciclo"]." ".$RowInsertado["Autor"];

    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (

                     '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','Esquema',$IdEsquema)";

     $Conexion->MEjecutarSQL($ConsultaAccion);

     FMensajeScript($DescripcionAccion,"Esquemas.php");

     exit();

}

?>

